---
title: Update Customer
description: This API is to update details of a customer on prepaid card portal
---

This API is to update details of a customer on prepaid card portal. We must pass entity id, email, mobile no, address, country, city, state, and pin code in request. If the request has valid details, we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/cards/api/update-customer
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| checksum | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) |
| token | text | Will be provided by airpay(required) |

## Parameter

| Field     | Type         | Required | Description                                                                   |
| --------- | ------------ | -------- | ----------------------------------------------------------------------------- |
| entity_id | Text         | Yes      | Customer ID registered with the system (length 50)                            |
| email     | Text         | No       | Valid email address in proper email format. Must be unique.                   |
| mobile_no | Text         | No       | Mobile number of the customer                                                 |
| address   | Alphanumeric | No       | Address of the customer. Only alphanumeric characters and spaces are allowed. |
| country   | Text         | No       | Country name                                                                  |
| city      | Text         | No       | City name. Only `a-z` and `A-Z` characters allowed, no spaces.                |
| state     | Text         | No       | State name. Only `a-z` and `A-Z` characters allowed, no spaces.               |
| pincode   | Text         | No       | Customer pincode. Only 6 digits for India.                                    |

## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/update-customer' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'email=xyz@airpay.co.in' \
--data-urlencode 'mobile_no=9XXXXXX879' \
--data-urlencode 'address=Address' \
--data-urlencode 'city=City' \
--data-urlencode 'state=Kerala' \
--data-urlencode 'country=India' \
--data-urlencode 'pincode=682308'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | numeric | 400- fail,200-success |
| message | text | Success, Fail |
| data | json | [] |
## Success-Response:

```
{
    "status": 200,
    "message": "success",
    "data": []
}
```
## Fail-Response:

```
{
    "status": 400,
    "message": "fail"
}
```